SDL_atoi(3)

NAME
SDL_atoi - Parse an int from a string.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

int SDL_atoi(const char *str);

DESCRIPTION
The result of calling SDL_atoi(str) is equivalent to (int)SDL_strtol(str, NULL, 10).

FUNCTION PARAMETERS

str The null-terminated string to read. Must not be NULL.

RETURN VALUE
Returns the parsed int.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_atof(3), SDL_strtol(3), SDL_strtoul(3), SDL_strtoll(3), SDL_strtoull(3), SDL_strtod(3), SDL_itoa(3)